This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 839658 - [abrt] lorax-16.4.8-2.fc16: mkefiboot:48:macbless:IndexError: list index out of range
[abrt] lorax-16.4.8-2.fc16: mkefiboot:48:macbless:IndexError: list index out ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
abrt_hash:7a9fb9f400de0f3889bf9c8c3e5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 09:55 EDT by Peque
Modified: 2013-07-04 09:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 08:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peque 2012-07-12 09:55:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/sbin/mkefiboot -a /var/tmp/imgcreate-dRbqZH/iso-5nS5ki/EFI/BOOT /var/tmp/imgcreate-dRbqZH/iso-5nS5ki/isolinux/macboot.img
executable:     /usr/sbin/mkefiboot
kernel:         3.3.2-1.fc16.x86_64
time:           Mon 23 Apr 2012 01:14:57 PM CEST
uid:            0
username:       root

backtrace:
:mkefiboot:48:macbless:IndexError: list index out of range
:
:Traceback (most recent call last):
:  File "/usr/sbin/mkefiboot", line 105, in <module>
:    mkmacboot(opt.bootdir, opt.outfile, opt.label, opt.icon)
:  File "/usr/sbin/mkefiboot", line 36, in mkmacboot
:    macbless(outfile)
:  File "/usr/sbin/mkefiboot", line 48, in macbless
:    loader = glob.glob(os.path.join(mnt,'EFI/BOOT/BOOT*.efi'))[0]
:IndexError: list index out of range
:
:Local variables in innermost frame:
:loopdev: '/dev/loop6'
:imgfile: '/var/tmp/imgcreate-dRbqZH/iso-5nS5ki/isolinux/macboot.img'
:mnt: '/tmp/lorax.imgutils.Ag0Fim'

smolt_data:
:
:
:General
:=================================
:UUID: 8efef2a2-d3a2-40ed-ab61-da2ea42eb8a0
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6584.73
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2500 CPU @ 3.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 3301
:System Memory: 3938
:System Swap: 5983
:Vendor: Dell Inc.
:System: Vostro 460 
:Form factor: Desktop
:Kernel: 3.4.4-4.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5777:4136:1194) pci, tg3, ETHERNET, XPS 8300
:(32902:7202:4136:1195) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7190:4136:1195) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1195) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7242:4136:1195) pci, None, PCI/ISA, H67 Express Chipset Family LPC Controller
:(4318:3554:5218:8962) pci, nvidia, VIDEO, N/A
:(32902:7200:4136:1195) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4318:3050:5218:8962) pci, snd_hda_intel, MULTIMEDIA, GF108 High Definition Audio Controller
:(32902:7170:4136:1195) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1195) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1195) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:4136:1195) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1195) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:4136:1195) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_peque-lv_root / ext4 4096 4096 11364039 1274096 1160352 2850816 2549897 2549897
:/dev/sda5 WITHHELD ext4 4096 4096 13020378 2328713 1676387 3262224 3074083 3074083
:/dev/sda6 /boot ext4 1024 1024 508644 391603 366003 128016 127736 127736
:/dev/sdb1 WITHHELD vfat 4096 4096 976378 790834 790834 0 0 0
:
Comment 1 Martin Gracik 2012-07-12 10:21:16 EDT
What were you trying to accomplish when you got this traceback?
Comment 2 Peque 2012-07-12 11:02:16 EDT
I am sorry, I did not provide that information because I am not sure what I was doing at that time. I think I just inserted an USB memory to the USB port. In this memory, I had a bootable image of some distribution (it was a "LiveUSB"), but just wanted to use it to copy some files in it. I was able to copy the files in it anyway.

Hope it helps... Thanks! :-)
Comment 3 Brian Lane 2012-07-12 11:44:41 EDT
Were you running mkefiboot directly? Usually it is only called from lorax or livemedia-creator, running it directly probably won't do whatever you were trying to do.
Comment 4 Peque 2012-07-12 21:41:23 EDT
I really do not remember what I was doing, sorry... But perhaps I executed Unetbootin at some time (which may have called livemedia-creator), to shown a friend how to create a LiveUSB. Never executed mkfiboot directly.

Note You need to log in before you can comment on or make changes to this bug.